C $Id: matadd.f,v 1.2 1998/07/24 21:54:42 asc Exp $
      subroutine matadd(a,b,m,n,c)

      implicit none

      integer*4 m,n, i, j
      real*8 a(m,n), b(m,n), c(m,n)

      do i = 1, m
         do j = 1,n 
            c(i,j) = a(i,j) + b(i,j)
         enddo
      enddo

      return
      end
